#!/usr/bin/perl

## POWERSEEK PLUGIN ########################
#
# TITLE: PPC Feed
# DIZ: Use this plug-in in conjunction with Kannoodle.com or searchfeed.com to add PPC links with your PowerSeek Search Results
# GRAPHIC: rppc.gif
# VERSION: 1.1
#
###########################################

 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

use FindBin;
use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use fmunpack;

my ($kanoodle_settings, $username, $password, $q, $mysql_hostname, $mysql_port, $dsn,
$dbh, $db_username, $db_password, $aff_id, $numresults, $sup_runof, $backfill, $adultfilter, 
$adultonly, $heading, $font, $size, $colour, $banned_ip, $selector1_a, $selector2_a, $selector1_b,
$selector2_b, $selector1_c, $selector2_c, $selector1_d, $selector2_d, $selector1_e, $selector2_e,
$selector3_e, $selector4_e, $selector5_e, $selector6_e, $selector1_f, $selector2_f,
$selector3_f, $selector4_f, $selector5_f, $selector6_f, $selector7_f, $selector8_f,
$selector9_f, $selector10_f, $selector11_f, $selector12_f, $selector13_f, $template_crt,
$web_url, $admin_url, $flag, @comma_split, $comma_item, $point_item, @point_item, $data_dir, $sql, $sql1, $sth, $exists, $sth1, $line, $kanoodle_template_name, $searchfeed_template_name, $kanoodle_enalbled , $searchfeed_enalbled, $searchfeed_numresults, $track_id, $account_id);

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));
$default_permissions = 0777;  ### DEFAULT PERMISSIONS THAT IS USED FOR FILES ON HOST/SERVER

##################################################################################

$kanoodle_settings = ppc_settings acs;

#### CONNECT TO DATABASE
if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

###########

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "setup") {&setup;}
if ($q->param('fct') eq "settings") {&settings;}
if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "kanoodle_settings_save") {&kanoodle_settings_save;}
if ($q->param('fct') eq "backfill") {&backfill;}
if ($q->param('fct') eq "add_add") {&add_add;}
if ($q->param('fct') eq "edit") {&edit;}
if ($q->param('fct') eq "save_add") {&save_add;}
if ($q->param('fct') eq "del") {&delete_bf;}


##################################################################################

sub delete_bf
{

$aid = $q->param('aid');

#### CONNECT TO DATABASE
if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$wsql = "DELETE FROM ppcfeed_bf WHERE aid = '$aid'";
$sth = $dbh->prepare($wsql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";}

$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_up.gif", "Backfill Advertisement Deleted", qq[
<a href="$admin_url/p_ppc.cgi?fct=backfill">Click Here to Continue</a>
]);  


print qq[
<html>
<head>
<title>PPC Feed</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox
</body>
</html>
];



}



sub save_add
{

$aid = $q->param('aid');

$add_title = $q->param('add_title'); $add_title =~ s/'/\\'/g;
$add_description = $q->param('add_description'); $add_description =~ s/'/\\'/g;
$add_url = $q->param('add_url'); $add_url =~ s/'/\\'/g;
$ks = $q->param('ks');

if ($add_title eq "") {acs::problem_popup("Please supply a title."); exit;}
if ($add_url eq "") {acs::problem_popup("Please supply a URL."); exit;}

#### CONNECT TO DATABASE
if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$wsql = "UPDATE ppcfeed_bf SET title = '$add_title', description = '$add_description', url = '$add_url', kansfeed = '$ks' 
			WHERE aid = '$aid'";
$sth = $dbh->prepare($wsql);
$sth->execute; 
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";} 	

$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_up.gif", "Backfill Advertisement Saved", qq[
<b><a href="$admin_url/p_ppc.cgi?fct=backfill">Click Here to Continue</a></b>
]);
 

print qq[<html>
<head>
<title>PPC Feed</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];



}




sub edit
{

$aid = $q->param('aid');

#### CONNECT TO DATABASE
if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$wsql = "SELECT * FROM ppcfeed_bf WHERE aid = '$aid'";
$sth = $dbh->prepare($wsql);
$sth->execute; 
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";} 	

while ( @row = $sth->fetchrow() )
	{ 
	$title = $row[1];
	$diz = $row[2];
	$url = $row[3];
	$kn = $row[4];
	}

$sth->finish;
$dbh->disconnect;


if ($kn eq "k")
	{
	$ksel = "selected";
	}
	else
	{
	$ssel = "selected";
	}


$hbox = acs::get_heading_box("$web_url/ic_up.gif", "Edit Backfill", qq[
<b><a href="$admin_url/p_ppc.cgi?fct=backfill">Go Back</a></b>
]); 


print qq[<html>

<head>
<title>PPC Feed</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>

<body>
$hbox



<form method="POST" action="$admin_url/p_ppc.cgi">
  <input type="hidden" name="aid" value="$aid"><input type="hidden" name="fct"
  value="save_add"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#D8D8D8" height="313">
    <tr>
      <td width="100%" height="21" colspan="2" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Edit:
      </strong></td>
    </tr>
    <tr>
      <td width="30%" height="25" bgcolor="#FFFFFF" class="normaltext"><strong>Advertisement Title: </strong></td>
      <td width="70%" height="25" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="add_title"
      size="48" value="$title"> </td>
    </tr>
    <tr>
      <td width="30%" height="119" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Advertisement Text: </strong></td>
      <td width="70%" height="119" bgcolor="#FFFFFF" class="normaltext"><textarea rows="5" name="add_description"
      cols="42">
$diz
</textarea> </td>
    </tr>
    <tr>
      <td width="30%" height="25" bgcolor="#FFFFFF" class="normaltext"><strong>Advertisement URL: </strong></td>
      <td width="70%" height="25" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="add_url" size="48"
      value="$url"> </td>
    </tr>
    <tr>
      <td width="30%" height="12" bgcolor="#FFFFFF" class="normaltext"><strong>For which PPC Link provider will
      this advertisement be used as a backfill? </strong></td>
      <td width="70%" height="12" bgcolor="#FFFFFF" class="normaltext"><select name="ks" size="1">
        <option selected value="k" $ksel> Kanoodle </option>
        <option value="s" $ssel> SearchFeed </option>
      </select> </td>
    </tr>
    <tr>
      <td width="30%" height="27" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="70%" height="27" bgcolor="#FFFFFF" class="normaltext"><input type="submit" value="   Save   "
      name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
</form>



</body>
</html>
];

}





sub add_add
{

$add_title = $q->param('add_title'); $add_title =~ s/'/\\'/g;
$add_description = $q->param('add_description'); $add_description =~ s/'/\\'/g;
$add_url = $q->param('add_url'); $add_url =~ s/'/\\'/g;
$ks = $q->param('ks');

if ($add_title eq "") {acs::problem_popup("Please supply a title."); exit;}
if ($add_url eq "") {acs::problem_popup("Please supply a URL."); exit;}


if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; } 

$wsql = "INSERT INTO ppcfeed_bf SET title = '$add_title', description = '$add_description', url = '$add_url', kansfeed = '$ks'";
$sth = $dbh->prepare($wsql);
$sth->execute; 
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";} 	

$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_up.gif", "Backfill Advertisment Added", qq[
<a href="$admin_url/p_ppc.cgi?fct=backfill">Click Here to Continue</a>
]); 

print qq[<html>
<head>
<title>PPC Feed</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox
</body>
</html>
];




}



sub backfill
{

#### CONNECT TO DATABASE
if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$wsql = "SELECT * FROM ppcfeed_bf";
$sth = $dbh->prepare($wsql);
$sth->execute; 
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";} 	

while ( @row = $sth->fetchrow() )
	{ 
	$title = $row[1];
	$diz = $row[2];
	$url = $row[3];
	
	if ($row[4] eq "k")
		{
$ppcback_kan = $ppcback_kan . qq[<tr>
<td bgcolor="#FFFFFF" class="normaltext">
<a href="$url" target="_blank"><b>$title</b></a></strong><br>
$diz
<BR>[ <a href="$admin_url/p_ppc.cgi?fct=edit&amp;aid=$row[0]">Edit</a> ] 
[ <a href="$admin_url/p_ppc.cgi?fct=del&amp;aid=$row[0]">Delete</a> ]
</td>
</tr>];
		}
		else
		{
		$ppcback_sf = $ppcback_sf . qq[<tr>
<td bgcolor="#FFFFFF" class="normaltext">
<strong><a href="$url" target="_blank"><b>$title</b></a></strong><br>
$diz <BR>[ <a href="$admin_url/p_ppc.cgi?fct=edit&amp;aid=$row[0]">Edit</a> ]
[ <a href="$admin_url/p_ppc.cgi?fct=del&amp;aid=$row[0]">Delete</a> ]
</td>		
		];
		}

	}


$sth->finish;
$dbh->disconnect;


if ($ppcback_kan eq "")
	{
$ppcback_kan = qq[
<tr>
<td bgcolor="#FFFFFF" class="normaltext">
There are no backfill ads for Kanoodle PPC links
</td>
</tr>
];
	
	}


if ($ppcback_sf eq "")
	{
$ppcback_sf = qq[
<tr>
<td bgcolor="#FFFFFF" class="normaltext">
There are no backfill ads for SearchFeed PPC links
</td>
</tr>
];
	
	}



$hbox = acs::get_heading_box("$web_url/ic_up.gif", "Backfill Advertisments - Setup Instructions", qq[
In the event where there is no PPC links to display from Kanoodle and/or Searchfeed then these links (or adds) will be displayed to fill the specified number of ads that needs to be displayed.<BR>
<b><a href="$admin_url/p_ppc.cgi">Go back</a></b>
]);
 


print qq[<html>

<head>
<title>PPC Feed</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>

<body>

$hbox




<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#D8D8D8">
  <tr>
    <td width="62%" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Backfill
    Addvertisements For Kanoodle: </strong></td>
  </tr>
    $ppcback_kan
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#D8D8D8">
  <tr>
    <td width="62%" background="$web_url/bar6.gif" bgcolor="#FFE135" class="normaltext"><strong>Backfill
    Addvertisements For Searchfeed: </strong></td>
  </tr>
  $ppcback_sf 
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>





<form method="POST" action="$admin_url/p_ppc.cgi">
  <input type="hidden" name="fct" value="add_add"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" bgcolor="#D8D8D8">
    <tr>
      <td width="100%" height="35" colspan="2" background="$web_url/bar6.gif" class="normaltext"><strong>Add New Advertisment: </strong></td>
    </tr>
    <tr>
      <td width="30%" bgcolor="#FFFFFF" class="normaltext"><strong>Advertisement Title: </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="add_title" size="48"> </td>
    </tr>
    <tr>
      <td width="30%" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Advertisement Text: </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><textarea rows="5" name="add_description" cols="42" style="width:100%"></textarea> </td>
    </tr>
    <tr>
      <td width="30%" bgcolor="#FFFFFF" class="normaltext"><strong>Advertisement URL: </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="add_url" size="48"
      value="http://" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="30%" bgcolor="#FFFFFF" class="normaltext"><strong>For which PPC Link provider will this
      advertisement be used as a backfill? </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><select name="ks" size="1">
        <option value="k"> Kanoodle </option>
        <option value="s"> SearchFeed </option>
      </select> <br>
      If for example, Kanoodle only supplied 1 link where it should have supplied 3 then the
      remaining two Advertisements will be taken from the backfill advertisements. </td>
    </tr>
    <tr>
      <td width="30%" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="Add New Backfill Advertisement" name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>





</body>
</html>
];



}



sub setup
{


$hbox = acs::get_heading_box("$web_url/ic_help.gif", "PPC Feed Plugin - Setup Instructions", qq[
Contained here is to setup and configuration instructions for PPC Feed.<BR>
<b><a href="$admin_url/p_ppc.cgi">Go back</a></b>
]);


print qq[
<html>
<head>
<title>PPC Feed</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>

$hbox
<font face="Arial" size="4"><strong>

<p>PLUGIN: PPC Feed (&#147;Pay Per Click Add-On&#148;)</strong></font> </p>

<p><font face="Arial" size="4"><strong>Index</strong></font></p>

<blockquote>
  <p><font face="Arial" size="2"><strong>1. <a href="#1">How does it work?</a><br>
  2. <a href="#conf">Configuration</a></strong></font></p>
</blockquote>

<hr color="#efefef" SIZE="1">

<p><a name="1"></a><font face="Arial" size="4"><strong>1. How does it work?</strong></font></p>

<p><font face="Arial" size="2"><strong>&#147;Lets you Turn your copy of PowerSeek into an
instant PPC Search Engine&#148;<br>
</strong><br>
The PPC-Feed plug-in enables you to add instant PPC results to your PowerSeek search
results and categories. It gets PPC results from SearchFeed.com or Kanoodle.com (which
ever you choose or both) and displays it together with your search results or categories.
The PPC links displayed are targeted. This means that the PPC links displayed are targeted
at the keywords that have been searched for or the category keywords if the PPC results
are displayed inside categories.<br>
<br>
With the PPC-Feed Plug-in you sign up for an account at SearchFeed.com and/or
Kanoodle.com. After that you configure the PPC Feed module to use Kanoodle and/or
SearchFeed to display PPC links with your Search Engine. You will then get paid for every
click that is made on the PPC links you display from Kanoodle and/or SearchFeed.</font></p>

<p><font face="Arial" size="2"><strong>&#147;Ease of Use&#148;</strong><br>
<br>
The PPC results from SearchFeed.com and Kanoodle.com are completely customizable via
templates. It works in the same manner as PowerSeek&#146;s templates. You can give the PPC
results any look and feel you have in mind.</font></p>

<p><font face="Arial" color="#000000" size="2"><strong>Features:</strong></font> 

<ul>
  <li><font face="Arial" size="2">Choose the number of Kanoodle.Com/SearchFeed.com PPC link
    results you would like with your search results.<br>
    &nbsp; </font></li>
  <li><font face="Arial" size="2">Look and feel of PPC results are completely customizable
    with templates - Works in the same manner as PowerSeek's link style templates.<br>
    &nbsp; </font></li>
  <li><font face="Arial" size="2">Configure backfill links/advertisements to display in the
    event where Kanoodle and/or Searchfeed returns no PPC links.&nbsp; <br>
    </font></li>
  <li><font face="Arial" size="2">You can include PPC links in your <strong>nomatch.html</strong>
    PowerSeek template. This means PPC results will be displayed in the event where nothing in
    your PowerSeek database matched an end-user's keywords.<br>
    &nbsp; </font></li>
  <li><font face="Arial" size="2">The following options are available for Kanoodle.com PPC
    link results:</font> <ul>
      <li><font face="Arial" size="2"><strong>Enable Backfill</strong> - In the event where there
        are no PPC links to display, a link will still be displayed.</font> </li>
      <li><font face="Arial" size="2">You can choose to include 'adult' PPC links' or choose to
        display adult PPC links only.</font> </li>
    </ul>
  </li>
</ul>

<hr color="#efefef" SIZE="1">

<p><a name="conf"></a><font face="Arial" size="4"><strong>2. Configuration</strong></font></p>

<p><font face="Arial" size="2">To configure the plug-in go to the PowerSeek Control Panel
&gt;&gt; Plug-Ins &gt;&gt; PPC Feed &gt;&gt; SearchFeed and Kanoodle Settings</font></p>

<p><font face="Arial" color="#0000ff" size="4"><strong>Step 1. Kanoodle.com Section
Explanation</strong></font></p>

<blockquote>
  <p><font face="Arial" size="2"><strong>Enable Kanoodle Feature</strong> - If you plan to
  use Kanoodle search then you should set this to &#147;Yes&#148;. No search results from
  Kanoodle.com will be returned or displayed unless this option is set to &#147;Yes&#148;.<br>
  Affiliate ID Number:<br>
  <br>
  <strong>Kanoodle.com ID</strong> - Can be found on the right hand side of the Webpage once
  you have logged into your account. Note that you have to register an account with
  Kanoodle.<br>
  <br>
  <strong>Number of Search Results to Return</strong> - The amount of results to return at a
  time from Kanoodle.com. The range is from 1 - 10.<br>
  <br>
  <strong>Suppress run-of site Results:</strong> If your contract with them allows it, you
  will be able to select to have no popup ads when a search is made, returning only
  kanoodle.com results. No ads will be shown if the option is set to &#147;Yes&#148;.<br>
  <br>
  <strong>Enable BackFill:</strong> According to the kanoodle.com documentation they will
  supplement there own results with those of their back end provider(s). e.g.: You request
  10 results, they have 8 bids on file for that keyword. They will deliver 8 paid results
  and two unpaid results. You should only use this option if it is included in your
  contract. This will be the result if the option is set to &#147;Yes&#148;.<br>
  <br>
  <strong>Include &quot;Adult ONLY&quot; Results:</strong> This option will include material
  that is marked as &quot;Adult Only&quot; if there are any. If this option is set to
  &#147;Yes&#148;.<br>
  <br>
  <strong>Return only Adult Results:</strong> This option will return only material that is
  marked as &quot;Adult Only&quot;. If there are no &quot;Adult Only&quot; material it will
  display nothing. If this option is set to &#147;Yes&#148;.</font></p>
  <p><font face="Arial" size="2"><strong>Edit Links Style - </strong>The way that pages and
  links are displayed in Powerseek are controlled by a network of templates. The PowerSeek
  template system makes it easy to apply the look and feel you want for your Search Engine
  &amp; Directory pages. By clicking on the 'click here' link, you can change the PPC link
  style in the same manner you would edit the links style from the PowerSeek templates.</font></p>
  <p><font face="Arial" size="2">The Template variables that can be used in this template
  are listed in the template window for easy reference. </font></p>
  <p><font face="Arial" size="2">The template name is &#147;kanoodle_searchres.html&#148;
  and is located in the PowerSeek 'data' directory.</font></p>
  <blockquote>
    <p><font face="Arial" size="2"><strong>The Template Variables are:</strong><br>
    <br>
    <strong>!!kan_title_with_clickurl!!</strong><br>
    This variable will show the heading as well as the link to click to kanoodle.com.<br>
    <br>
    <strong>!!kan_description!!</strong><br>
    Description of the result as provided by Kanoodle.<br>
    <br>
    <strong>!!kan_url!!<br>
    </strong>URL to the Website. Not to Kanoodle but the actual bidders Website. <br>
    <br>
    <strong>!!kan_bidprice!!</strong><br>
    It shows in US cents the price the bidder will pay for a click through.<br>
    <br>
    <strong>!!kan_clickurl!!</strong><br>
    The actual &quot;&lt;a href&gt;&quot; link the user will have to click on to register the
    click through.<br>
    <br>
    <strong>!!kan_title!!</strong><br>
    The title of the Website.</font></p>
  </blockquote>
</blockquote>

<p><font face="Arial" color="#0000ff" size="4"><strong>Step 2. SearchFeed.Com Section
Explanation</strong></font></p>

<blockquote>
  <p><font face="Arial" size="2"><strong>Enable Searchfeed Feature</strong> - If you plan to
  use Searchfeed search then you should set this to &#147;Yes&#148;. No search results from
  Searchfeed.com will be returned or displayed unless this option is set to &#147;Yes&#148;.
  </font></p>
  <p><font face="Arial" size="2"><strong>Track ID - </strong>Searchfeed.com ID. Can be found
  on the left hands side of the Webpage once you have logged into your account at
  SearchFeed.com - Note that you have to register an account with Searchfeed to get this ID.<br>
  <br>
  <strong>Account ID -</strong> Searchfeed.com ID. Can be found on the left hands side of
  the Webpage once you have logged into your account at SearchFeed.com -&nbsp; Note that you
  have to register an account with Searchfeed to get the Account ID.<br>
  <br>
  <strong>Number of Search Results to Return:</strong> The amount of results to return at a
  time from Searchfeed.com. The range is from 1 - 10.<br>
  <br>
  <strong>Edit Links Style</strong> - The way that pages and links are displayed in
  Powerseek are controlled by a network of templates. The PowerSeek template system makes it
  easy to apply the look and feel you want for your Search Engine &amp; Directory pages. By
  clicking on the 'click here' link, you can change the PPC link style in the same manner
  you would edit the links style from the PowerSeek templates.</font></p>
  <p><font face="Arial" size="2">The Template variables that can be used in this template
  are listed in the template window for easy reference. </font></p>
  <p><font face="Arial" size="2">The template name is &#147;searchfeed_searchres.html&#148;
  and is located in the PowerSeek 'data' directory.</font></p>
  <font face="Arial"><b><span style="FONT-FAMILY: Arial"><p></span></b></font><strong><font
  face="Arial" size="2">The Template Variables are:</font></strong></p>
  <blockquote>
    <p><font face="Arial" size="2"><strong>!!searchfeed_title_with_clickurl!!</strong><br>
    This variable will show the heading as well as the link to click to Searchfeed.com.<br>
    <br>
    <strong>!!searchfeed_description!!<br>
    </strong>Description of the result as provided by Searchfeed.<br>
    <br>
    <strong>!!searchfeed_url!!</strong><br>
    URL to the Website. Not to Searchfeed but the actual bidders Website. <br>
    <br>
    <strong>!!searchfeed_bidprice!!</strong><br>
    It shows in US cents the price the bidder will pay for a click through.<br>
    <br>
    <strong>!!searchfeed_clickurl!!</strong><br>
    The actual &quot;&lt;a href&gt;&quot; link the user will have to click on to register the
    click through.<br>
    <br>
    <strong>!!searchfeed_title!!</strong><br>
    The title of the Website.</font></p>
  </blockquote>
</blockquote>

<p><font face="Arial" color="#0000ff" size="4"><strong>Step 3. Configure Your PowerSeek
Search Templates</strong></font></p>

<p><font face="Arial" size="2">If you configured the Kanoodle.Com and/or SearchFeed.com
settings and templates, you need to add the PPC search results to your PowerSeek search
result templates. To do this, include the search display variables (%%kanoodle_search%%
and %%searchfeed_search%%)&nbsp; into your PowerSeek search results Templates. </font></p>

<p><font face="Arial" size="2"><strong>You can place the variables in the following
templates: </strong></font>

<ul>
  <li><a href="$admin_url/admin6.cgi?fct=edit_template&amp;template=searchres" target="_blank"><font
    face="Arial" size="2">Main Search Page (searchres.html)</font> </a></li>
  <li><a href="$admin_url/admin6.cgi?fct=edit_template&amp;template=nomatch" target="_blank"><font
    face="Arial" size="2">No Match (nomatch.html)</font> </a></li>
</ul>

<p><font face="Arial" size="2"><strong>Place the following variables in the above
mentioned templates:</strong></font> 

<ul>
  <li><font face="Arial" size="2"><strong>%%kanoodle_search%%<br>
    </strong><span style="FONT-WEIGHT: normal; TEXT-DECORATION: none; text-underline: none">This
    variable will be placed where you want the Kanoodle.com results to be displayed. This may
    be before or after the Powerseek results. The results will apear anywhere this
    word/variable is placed in the templates.<br>
    </span></font></li>
  <li><font face="Arial" size="2"><strong>%%searchfee</strong><span style="FONT-FAMILY: Arial"></O:P></span><strong>d_search%%<br>
    </strong><span style="FONT-FAMILY: Arial">This variable should be placed where you want
    the Searchfeed.com results to be displayed. This may be before or after the Powerseek
    results.<O:P></span></font> <font face="Arial" size="2"><span
    style="FONT-WEIGHT: normal; TEXT-DECORATION: none; text-underline: none">The results will
    apear anywhere this word/variable is placed in the templates.</span></font></li>
</ul>

<p><font face="Arial" color="#0000ff" size="4"><strong>Step 4. Configure Your 'No Match'
PowerSeek Template</strong></font></p>

<p><font face="Arial" size="2"><span style="FONT-FAMILY: Arial">If you want to include PPC
results from Kanoodle.Com and/or SearchFeed.com when end-users searched for keywords where
a match could not be found in the PowerSeek database, do the following:</span></font> 

<ul>
  <li><font face="Arial" size="2"><span style="FONT-FAMILY: Arial">Go to the PowerSeek Control
    Panel &gt;&gt; Settings &gt;&gt; Global Engine Settings<br>
    Look for a setting that reads<strong> 'What to use when a search revealed no matches?'<br>
    </strong>Set this setting to: 'Use and the template called no_match.html'.<br>
    &nbsp;&nbsp; </span></font></li>
  <li><font face="Arial" size="2"><span style="FONT-FAMILY: Arial">Go to the template manager
    and add the variables, </span><strong>%%kanoodle_search%%</strong><span
    style="FONT-FAMILY: Arial"> and </span><strong>%%searchfee</strong><span
    style="FONT-FAMILY: Arial"></O:P></span><strong>d_search%%<br>
    </strong><span style="FONT-FAMILY: Arial">to the no_match.html template where you would
    like the Kanoodle.com and/or SearchFeed.com search results displayed.</span></font> </li>
</ul>

<hr color="#f2f2f2" noShade SIZE="1">

<b><p><a href="$admin_url/p_ppc.cgi">Go back</a></p></b>
</body>
</html>
];





}



sub start
{


if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; } 

$wsql = "SHOW TABLES";
$sth = $dbh->prepare($wsql);
$sth->execute; 

while ( @row = $sth->fetchrow() )
	{ 
	if ($row[0] eq "ppcfeed_bf") { $ppcfeed_table = "True"; } 
	}


if ($ppcfeed_table ne "True")
	{
	
	$sql = "CREATE TABLE ppcfeed_bf
					(
					aid				int NOT NULL auto_increment,
					title				varchar(255),
					description		varchar(255),
					url				varchar(255),
					kansfeed			varchar(1),
					PRIMARY KEY(aid)
					)";
							
		$sth = $dbh->prepare($sql);
		$sth->execute;
		$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";} 	
	}


$sth->finish;
$dbh->disconnect;


### CHECK IF WE NEED TO UNPACK

$hbox = acs::get_heading_box("$web_url/rppc.gif", "PPC Feed Plugin", qq[
Use this plug-in in conjunction with Kannoodle.com and/or SearchFeed.com to add PPC links to your Search Results and get paid for clicks.
<ul class="normaltext">
      <li>Note that there is a more comprehensive PPC module
        available for PowerSeek.<br>
        <a href="http://www.focalmedia.net/ps_ppc.html" target="_blank">You can find
        out more about the comprehensive PPC module here.</a></li>
</ul>
]);  

print qq[<html>
<head>
<title>PowerSeek SQL</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox



<table border="0" cellspacing="1" width="100%" cellpadding="0" bgcolor="#D8D8D8"
height="46">
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_help.gif"> </td>
    <td width="99%" bgcolor="#FFFFFF" height="80"><table border="0" cellpadding="6"
    cellspacing="1" width="100%">
      <tr>
        <td width="100%" class="normaltext"><a href="$admin_url/p_ppc.cgi?fct=setup"><strong>Setup
        Instructions </strong></a><br>
        Explains how to enable this module and how to add PPC links to your Search Results,
        Categories or any other web page or external web page. </td>
      </tr>
    </table>
    </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><p align="center"><img
    src="$web_url/ic_settings3.gif"> </td>
    <td width="99%" bgcolor="#FFFFFF" height="80"><table border="0" cellpadding="6"
    cellspacing="1" width="100%">
      <tr>
        <td width="100%" class="normaltext"><strong><a href="$admin_url/p_ppc.cgi?fct=settings">SearchFeed
        and Kanoodle Settings </a><br>
        </strong>Let's you configure how SearchFeed and/or Kanoodle will display PPC results.</td>
      </tr>
    </table>
    </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img src="$web_url/ic_up.gif">
    </td>
    <td width="99%" bgcolor="#FFFFFF" height="80"><table border="0" cellpadding="6"
    cellspacing="1" width="100%">
      <tr>
        <td width="100%" class="normaltext"><strong><a href="$admin_url/p_ppc.cgi?fct=backfill">Backfill
        Advertisements </a><br>
        </strong>In the event where there is no PPC links to display from Kanoodle and/or
        Searchfeed then these links will be displayed to fill the specified number of ads that
        needs to be displayed. </td>
      </tr>
    </table>
    </td>
  </tr>
</table>


<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>


</body>
</html>

];


}



sub settings
{
$kanoodle_enalbled =				$kanoodle_settings->{kanoodle_enalbled};
$searchfeed_enalbled =				$kanoodle_settings->{searchfeed_enalbled};
$searchfeed_numresults =				$kanoodle_settings->{searchfeed_numresults};
$aff_id =							$kanoodle_settings->{aff_id};
$track_id =						$kanoodle_settings->{track_id};
$account_id =						$kanoodle_settings->{account_id};
$numresults =						$kanoodle_settings->{numresults};
$sup_runof =						$kanoodle_settings->{sup_runof};
$backfill =							$kanoodle_settings->{backfill};
$adultfilter =						$kanoodle_settings->{adultfilter};
$adultonly =						$kanoodle_settings->{adultonly};
$kanoodle_template_name =			$kanoodle_settings->{kanoodle_template_name};
$searchfeed_template_name =			$kanoodle_settings->{searchfeed_template_name};
$num_noresult_results = 				$kanoodle_settings->{num_noresult_results};
$searchfeed_num_noresult_results = 		$kanoodle_settings->{searchfeed_num_noresult_results};


if ($sup_runof == 11) {$selector1_a = ""; $selector2_a = "selected";} else {$selector1_a = "selected"; $selector2_a = "";}
if ($backfill == 11) {$selector1_b = ""; $selector2_b = "selected";} else {$selector1_b = "selected"; $selector2_b = "";}
if ($adultfilter == 11) {$selector1_c = ""; $selector2_c = "selected";} else {$selector1_c = "selected"; $selector2_c = "";}
if ($adultonly == 11) {$selector1_d = ""; $selector2_d = "selected";} else {$selector1_d = "selected"; $selector2_d = "";}
if ($kanoodle_enalbled == 11) {$selector1_e = ""; $selector2_e = "selected";} else {$selector1_e = "selected"; $selector2_e = "";}
if ($searchfeed_enalbled == 11) {$selector1_f = ""; $selector2_f = "selected";} else {$selector1_f = "selected"; $selector2_f = "";}


$hbox = acs::get_heading_box("$web_url/rppc.gif", "PPC Feed Plugin ", qq[
Use this plug-in in conjunction with Kannoodle.com or SearchFeed.com to add PPC links to your search results.
<a href="$admin_url/p_ppc.cgi">Go back</a>
]); 




$helpb = acs::quick_help("Help",qq[
<p align="left"><strong>Kanoodle.com </strong></p>
    <ul>
      <li><strong>Affiliate ID Number = </strong>Kanoodle.com ID. Can be found on the right hands
        side of the Webpage once you have logged into your account. </li>
      <li><strong>Number of Search Results to Display at a time = </strong>The amount of results
        to return at a time from Kanoodle.com. The range is from 1 - 10. </li>
      <li><strong>Suppress run-of site Results = </strong>If your contract with them allows it you
        will be able to select to have no popup ads when a search is made, returning only
        kanoodle.com results.No ads will be shown if the option is set to &#147;Yes&#148;. </li>
      <li><strong>Enable BackFill = </strong>According to the kanoodle.com documentation they will
        supplement there own results with those of there back end provider(s). e.g.: Your request
        10 results, they have 8 bids on file for that keyword. They will deliver 8 paid results
        and two unpaid results. You should only use this option if it is included in your
        contract. This will be the result if the option is set to &#147;Yes&#148;. </li>
      <li><strong>Include &quot;Adult ONLY&quot; Results = </strong>This option will include
        material that is marked as &quot;Adult Only&quot; if there are any. If this option is set
        to &#147;Yes&#148; </li>
      <li><strong>Return only Adult Results = </strong>This option will return only material that
        is marked as &quot;Adult Only&quot;. If there are no &quot;Adult Only&quot; material it
        will display nothing. If this option is set to &#147;Yes&#148;. </li>
      <li><strong>Number of Search Results to Display in No Match Template = </strong>If no
        matching results can be found in your PowerSeek database then the <strong>No Match </strong>template
        is used to return results. This option allows you to return more Kanoodle.com results so
        your search results page is not empty. </li>
    </ul>
    <p align="left"><strong>Searchfeed.com </strong></p>
    <ul>
      <li><strong>Track ID </strong>= Searchfeed.com ID. Can be found on the left hands side of
        the Webpage once you have logged into your account. </li>
      <li><strong>Account ID </strong>= Searchfeed.com ID. Can be found on the left hands side of
        the Webpage once you have logged into your account. </li>
      <li><strong>Number of Search Results to Display at a time = </strong>The amount of results
        to return at a time from Searchfeed.com. The range is from 1 - 10. </li>
      <li><strong>Number of Search Results to Display in No Match Template = </strong>If no
        matching results can be found in your PowerSeek database then the <strong>No Match </strong>template
        is used to return results. This option allows you to return more Searchfeed.com results so
        your search results page is not empty. </li>
    </ul>
]); 
  


$template_crt = <<END_OF_EM;

<html>
<head>
<title></title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox


<form name="frm" method="post" action="$admin_url/p_ppc.cgi">
  <input type="hidden" name="fct" value="kanoodle_settings_save"><table border="0"
  cellpadding="6" cellspacing="1" width="100%"
  style="border-left: 1px solid rgb(216,216,216); border-right: 1px solid rgb(216,216,216); border-top: 1px solid rgb(216,216,216)">
    <tr>
      <td width="1%" valign="top"><img src="$web_url/kanoodle.gif"></td>
      <td width="95%" valign="top" class="normaltext" align="left"><strong><a
      href="http://www.kanoodle.com" target="_blank">Kanoodle.com </a></strong>Settings<br>
      This section lists various custom options for the Kanoodle.com search. </td>
    </tr>
  </table>
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#D8D8D8"
  height="46">
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Enable Kanoodle Feature </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><select
      name="kanoodle_enalbled" size="1">
        <option value="10" $selector1_e> No </option>
        <option value="11" $selector2_e> Yes </option>
      </select> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Affiliate ID Number </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="aff_id" value="$aff_id" size="20"> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Number of Search Results
      to Display at a time </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="numresults" value="$numresults" size="20"> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Suppress run-of site
      Results </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><select name="sup_runof"
      size="1">
        <option value="10" $selector1_a> No </option>
        <option value="11" $selector2_a> Yes </option>
      </select> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Enable BackFill </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><select name="backfill"
      size="1">
        <option value="10" $selector1_b> No </option>
        <option value="11" $selector2_b> Yes </option>
      </select> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Include &quot;Adult
      ONLY&quot; Results </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><select
      name="adultfilter" size="1">
        <option value="10" $selector1_c> No </option>
        <option value="11" $selector2_c> Yes </option>
      </select> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Return only Adult Results
      </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><select name="adultonly"
      size="1">
        <option value="10" $selector1_d> No </option>
        <option value="11" $selector2_d> Yes </option>
      </select> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext">Number of Search Results
      to Display in &quot; <strong>No Match </strong>&quot; Template </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="num_noresult_results" value="$num_noresult_results" size="20"> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#FBFBFB" class="normaltext"><img
      src="$web_url/first.gif"> &nbsp;Edit Links Style (kanoodle_searchres.html) </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><a
      href="$admin_url/admin6.cgi?fct=edit_template&amp;template=kanoodle_searchres"
      target="_blank">Click Here </a></td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  <table border="0" cellpadding="6" cellspacing="1" width="100%"
  style="border-left: 1px solid rgb(216,216,216); border-right: 1px solid rgb(216,216,216); border-top: 1px solid rgb(216,216,216)">
    <tr>
      <td width="1%" valign="top"><img src="$web_url/searchfeed.gif"></td>
      <td width="95%" valign="top" class="normaltext" align="left"><strong><a
      href="http://www.searchfeed.com" target="_blank">Searchfeed.com</a> Settings</strong><br>
      This section lists various custom options for the Searchfeed.com search. </td>
    </tr>
  </table>
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#C0C0C0"
  height="46">
    <tr>
      <td width="36%" height="31" bgcolor="#F4F4F4" class="normaltext">Enable Searchfeed Feature
      </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><select
      name="searchfeed_enalbled" size="1">
        <option value="10" $selector1_f> No </option>
        <option value="11" $selector2_f> Yes </option>
      </select> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#F4F4F4" class="normaltext">Track ID </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="track_id" value="$track_id" size="20"> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#F4F4F4" class="normaltext">Account ID </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="account_id" value="$account_id" size="20"> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#F4F4F4" class="normaltext">Number of Search Results
      to Display at a time </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="searchfeed_numresults" value="$searchfeed_numresults" size="20"> </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#F4F4F4" class="normaltext">Number of Search Results
      to Display in &quot; <strong>No Match </strong>&quot; Template </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="searchfeed_num_noresult_results" value="$searchfeed_num_noresult_results" size="20">
      </td>
    </tr>
    <tr>
      <td width="36%" height="31" bgcolor="#F4F4F4" class="normaltext"><img
      src="$web_url/first.gif"> &nbsp;Edit Links Style (searchfeed_searchres.html) </td>
      <td width="64%" height="31" bgcolor="#FFFFFF" class="normaltext"><a
      href="$admin_url/admin6.cgi?fct=edit_template&amp;template=searchfeed_searchres"
      target="_blank">Click Here </a></td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#C0C0C0"
  height="46">
    <tr>
      <td bgcolor="#F4F4F4" height="30" align="center"><input type="submit" name="Submit"
      value="Update Settings"> </td>
    </tr>
  </table>
  <div align="center"><center><table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
      <td width="99%"></td>
    </tr>
  </table>
  </center></div>
 

$helpb

</form>

</body>
</html>

END_OF_EM

print  "$template_crt";
  
}



sub kanoodle_settings_save
{
	$aff_id = $q->param('aff_id');
	$numresults = $q->param('numresults');
	$sup_runof = $q->param('sup_runof');
	$backfill = $q->param('backfill');
	$adultfilter = $q->param('adultfilter');
	$adultonly = $q->param('adultonly');
	$kanoodle_template_name = "kanoodle_searchres.html";
	$searchfeed_template_name = "searchfeed_searchres.html";
	$kanoodle_enalbled = $q->param('kanoodle_enalbled');
	$searchfeed_enalbled  = $q->param('searchfeed_enalbled');
	$searchfeed_numresults = $q->param('searchfeed_numresults');
	$track_id = $q->param('track_id');
	$account_id = $q->param('account_id');
	$num_noresult_results = $q->param('num_noresult_results');
	$searchfeed_num_noresult_results = $q->param('searchfeed_num_noresult_results');
	
	$flag = 0;
	
	open (GLS, "> $data_dir/ppc_settings.dat");
	print GLS 
	
		"kanoodle_enalbled=$kanoodle_enalbled"  . "\n" . 
		"searchfeed_enalbled=$searchfeed_enalbled" . "\n" . 
		"searchfeed_numresults=$searchfeed_numresults" . "\n" . 
		"track_id=$track_id" . "\n" . 
		"account_id=$account_id" . "\n" . 
		"aff_id=$aff_id" . "\n" . 
		"numresults=$numresults" . "\n" . 
		"sup_runof=$sup_runof" . "\n" . 
		"backfill=$backfill" . "\n" . 
		"adultfilter=$adultfilter" . "\n" . 
		"adultonly=$adultonly" . "\n" .
		"searchfeed_template_name=$searchfeed_template_name" . "\n" .
		"kanoodle_template_name=$kanoodle_template_name" . "\n" .
		"num_noresult_results=$num_noresult_results" . "\n" .
		"searchfeed_num_noresult_results=$searchfeed_num_noresult_results" . "\n";
		
	close (GLS);
$stat = chmod($default_permissions,"$data_dir/ppc_settings.dat","$data_dir/ppc_settings.dat");


$hbox = acs::get_heading_box("$web_url/rppc.gif", "PPC Feed Settings Saved", qq[
<b><a href="$admin_url/p_ppc.cgi">Click Here to Continue.</a></b>
]);


print <<END_OF_SV;
<html>
<head>
<title>Settings Saved</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox

</body>
</html>

END_OF_SV

}

####################################################################################

sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}


sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################
